<div class="countdown">
    <ul class="progress progress-left">
        <li class="progress-segment" *ngFor="let s of segments; index as i" [class.visible]="currentSegmentCount > i"></li>
    </ul>

    <span class="time">{{timeLeft}}</span>

    <ul class="progress progress-right">
        <li class="progress-segment" *ngFor="let s of segments; index as i" [class.visible]="currentSegmentCount > i"></li>
    </ul>
</div>